„OpenSSH Server on Ubuntu 14.04 LTS” változatai közötti eltérés

Innen: KIFÜ Wiki
 
13. sor: 13. sor:
  
 
==Prepare the building environment==
 
==Prepare the building environment==
 +
Install the required packages.
 
  apt-get install build-essential dpkg-dev fakeroot gnupg lintian patch patchutils strace unzip pbuilder debian-builder quilt \
 
  apt-get install build-essential dpkg-dev fakeroot gnupg lintian patch patchutils strace unzip pbuilder debian-builder quilt \
 
   automake autoconf debhelper dh-make
 
   automake autoconf debhelper dh-make

A lap jelenlegi, 2015. november 2., 14:30-kori változata

Ubuntu 14.04 LTS (Trusty Tahr) does not ship with a version of OpenSSH that is compatible with Moonshot. To get Moonshot support for it, you must install a specific Moonshot-enabled version. The following instructions will guide you through the package building process.

All of the instructions below assume that you have root access, and will work as the root user (either directly or using sudo).

The instructions on this page will replace the system provided OpenSSH packages with the Moonshot enabled ones (don't worry, standard SSH things will still work!).

Following the instructions on this page will give you a Moonshot-enabled OpenSSH Server only.

System Preparation

Add the Moonshot libraries.

If you have not already done so, you first need to follow the instructions on OpenSSH Client how to install the Moonshot Libraries on Ubuntu 14.04 LTS.

Prepare the building environment

Install the required packages.

apt-get install build-essential dpkg-dev fakeroot gnupg lintian patch patchutils strace unzip pbuilder debian-builder quilt \
 automake autoconf debhelper dh-make
apt-get source openssh
cd openssh-6.6p1
apt-get build-dep openssh

Building and Installing Instructions

Download the gssapi-generic.patch, then build the packages.

cd openssh-6.6p1
cp /tmp/gssapi-generic.patch debian/patches
echo "gssapi-generic.patch" >> debian/patches/series
debuild -us -uc

Installing Instructions

The new packages can be installed with dpkg.

dpkg -i ../openssh-server_6.6p1-X_<arch>.deb

Configuration Instructions

Once installed, the Moonshot-enabled OpenSSH server will still need a few quick tweaks in order to turn on the Moonshot support.

  • Configure the OpenSSH server to use Moonshot by editing /etc/ssh/sshd_config. Check the following lines are present and uncommented:
GSSAPIAuthentication yes
GSSAPIKeyExchange yes
GSSAPIStrictAcceptorCheck yes
  • Now restart the OpenSSH server
service ssh restart